org.eclipse.ui.commands

## Class ExecutionException

- java.lang.Object
- - java.lang.Throwable
  - - java.lang.Exception
    - - org.eclipse.ui.commands.CommandException
      - - org.eclipse.ui.commands.ExecutionException

All Implemented Interfaces:
  Serializable

Deprecated.
Please use the "org.eclipse.core.commands" plug-in instead.

    @Deprecated
    public final class ExecutionException
    extends CommandException

Signals that an exception occured during the execution of a command.

This class is not intended to be extended by clients.

Since:
  3.0
See Also:
  `ExecutionException`, Serialized Form

### Constructor Summary

Constructors
Constructor and Description
`ExecutionException(ExecutionException e)` Deprecated. Constructs a new instance of `ExecutionException` using an instance of the new `ExecutionException`.
`ExecutionException(String message, Throwable cause)` Deprecated. Creates a new instance of this class with the specified detail message and cause.

### Method Summary

### Methods inherited from class org.eclipse.ui.commands.CommandException

`getCause`

### Methods inherited from class java.lang.Throwable

`addSuppressed, fillInStackTrace, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### ExecutionException

    public ExecutionException(String message,
                              Throwable cause)

Deprecated.
Creates a new instance of this class with the specified detail message and cause.

Parameters:
  `message` - the detail message.
  `cause` - the cause.

#### ExecutionException

    public ExecutionException(ExecutionException e)

Deprecated.
Constructs a new instance of `ExecutionException` using an instance of the new `ExecutionException`.

Parameters:
  `e` - The exception from which this exception should be created; must not be `null`.
Since:
  3.1